#ifndef DAEMONIPCDBUS_H
#define DAEMONIPCDBUS_H

#include <QObject>
#include <QApplication>
#include <QCoreApplication>
#include <QDebug>
#include <QtDBus/QDBusConnection>
#include <QtDBus/QDBusConnectionInterface>
#include <QtDBus/QDBusMessage>
#include <QtDBus/QDBusReply>
#include <unistd.h>
#include <sys/types.h>

//Command handler here...
class DaemonIpcDbus : public QObject
{
    Q_OBJECT
private:
    DaemonIpcDbus();
public:
    
    static DaemonIpcDbus *getInstance();
    void callRequest(QStringList argv);
signals:
    void show();
    void sendarg(QStringList arg);

public slots:
    int daemonIsNotRunning();
    void showGuide(QString appName);
    void request(QStringList command);
};

#endif // DAEMONIPCDBUS_H
